<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_a591754a8ddcdbda9c80f1db4d9" . "11e14" => base64_decode("aXNfbnVs" . "bA=="), "_c372545d70ea3c51062f7" . "5445d687929" => base64_decode("REVMRVRFIEZST00gb2F1dG" . "hfY2xpZW50X3JlZGlyZWN0" . "X3VyaXMgV0hFUkUgY2xpZW" . "50X2lkIGVxOnN0cjpjaWQ="), "_2fcdfa6cef4413005aae9ae3df" . "6426e2" => base64_decode("b2F1dGhfY2xpZW50cw" . "=="), "nam" . "e" => base64_decode("bmFtZQ=" . "="), "_70995c4fd2bccfc9acaf06d844" . "4852c7" => base64_decode("SU5TRVJUIElOVE8gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgKGNsaWVudF" . "9pZCwgcmVkaXJlY3RfdXJpKSBWQUxVRVMgKHN0cjpjaWQsIHN0cjp1KQ=="), "_8ff0c68bbee5fe19849c" . "7f82cd0d6a0f" => base64_decode("cmVkaXJlY3RfdXJ" . "pcw=="), "_7f628626" . "dd1d55c71" . "b1fc0932f" . "fd1d2c" => base64_decode("aXNfYXJyY" . "Xk="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_803d546c35dc6bb74c3cd32b9" . "5fcac3e" => base64_decode("U0VMRUNUIHJlZGlyZWN0X3VyaSBGUk9NIG9hdXRoX2NsaWVudF9yZWRpcmVjdF91cmlzIFdIRVJFIGNsaWVudF9pZCB" . "lcTpzdHI6Y2lk"), "_653c065ce13fcc898" . "c85e35e3f0ab5bc" => base64_decode("c2Vjc" . "mV0"));
use Claromentis\Core\DAL;
use Claromentis\Core\Services;
use ObjectsStorage;










class Client extends \ActiveRecord
{
    protected $redirect_uris = null;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2fcdfa6cef4413005aae9a" . "e3df6426e2"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["na" . "me"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_653c065ce" . "13fcc898c8" . "5e35e3f0ab" . "5bc"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function GetRedirectURIs()
    {
        if ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_a591754a8ddcdbd" . "a9c80f1db4d911e1" . "4"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_803d546c35dc6bb74c3cd32b95fca" . "c3e"], $this->id);
            $this->redirect_uris = $_189840d11056515e52402d1412a0b6e4->fetchAllValues();
        }
        return $this->redirect_uris;
    }
    
    
    
    
    public function SetRedirectURIs($_688eb32b375d969d8f026c11a2cd33ea)
    {
        $this->redirect_uris = $_688eb32b375d969d8f026c11a2cd33ea;
    }
    public function Save()
    {
        if (!parent::Save()) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7f628626dd1d" . "55c71b1fc0932" . "ffd1d2c"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_15afa2d452391af5d01076584c0d792a = $this->id;
            $db->query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c372545" . "d70ea3c5" . "1062f754" . "45d68792" . "9"], $_15afa2d452391af5d01076584c0d792a);
            foreach ($this->redirect_uris as $_797ea62e9ab498d38c2781088fc553f6) {
                $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_70995c4fd2bccfc9acaf06d8444852" . "c7"], $_15afa2d452391af5d01076584c0d792a, $_797ea62e9ab498d38c2781088fc553f6);
            }
        }
        return true;
    }
    public function ResetSecret()
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_653c065ce13fcc898c85e35" . "e3f0ab5bc"], \CryptUtils::GetRandomString());
    }
    public static function CreateNew($_24b81fd345b39bff8a1dfa1607826ec3)
    {
        
        
        $client = static::Create([$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"] => \CryptUtils::GetRandomString() . \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_653c065ce13fcc898c85e35e3f0ab" . "5bc"] => \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["na" . "me"] => $_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["na" . "me"]]]);
        $client->SetRedirectURIs($_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8ff0c68bbee5fe19849c7f82cd0" . "d6a0f"]]);
        return $client;
    }
}